' *
' * The project site is at: http://sourceforge.jp/projects/fishbornas/
' *
' * First author tiritomato 2012.
' *
' * Distributed under the FishbornArchiveShelf License (See
' *  file "Licenses/License.txt" contained in a project, or the following link.
' *  http://sourceforge.jp/projects/fishbornas/scm/svn/blobs/head/trunk/Licenses/License.txt)
' *
' * 2012.06.07 Initial Revision (tiritomato)
' *

Partial Public Class AppBase

    Public Class ProgressArgs
        Public nValue As Integer
        Public nMax As Integer
        Public Class Echoes
            Inherits Logic.Echoes(Of ProgressArgs)
            Public Shadows Sub Echo(ByVal nValue As Integer, Optional ByVal nMax As Integer = 0)
                Dim e As New ProgressArgs
                e.nValue = nValue
                e.nMax = nMax
                MyBase.Echo(e)
            End Sub
        End Class
    End Class

End Class